# tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::bucket_accessor Class Reference

bucket accessor is to find, rehash, acquire a lock, and access a bucket More...

`#include <concurrent_hash_map.h>`

List of all members.

## Public Member Functions
| bucket_accessor (concurrent_hash_map *base, const hashcode_t h, bool writer=false)
void | acquire (concurrent_hash_map *base, const hashcode_t h, bool writer=false)
| find a bucket by masked hashcode, optionally rehash, and acquire the lock
bool | is_writer ()
| check whether bucket is locked for write
bucket * | operator() ()
| get bucket pointer

## Detailed Description

### template<typename Key, typename T, typename HashCompare, typename Allocator>
class tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::bucket_accessor

bucket accessor is to find, rehash, acquire a lock, and access a bucket

The documentation for this class was generated from the following file:

- concurrent_hash_map.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.